﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.OleDb;
using System.IO;

namespace WindowsFormsApplication1
{
    public partial class AddFilmForm : Form
    {
        public AddFilmForm()
        {
            InitializeComponent();
        }
        private String cmd_string;
        OleDbConnection con = new OleDbConnection(@"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + Application.StartupPath + "\\dbFilm.mdb");
        OleDbCommand cmd = new OleDbCommand();
        private String fn = "";

        private void button1_Click(object sender, EventArgs e)
        {
            DialogResult a = openFileDialog1.ShowDialog();
            if (a == DialogResult.OK)
            {
                fn = openFileDialog1.FileName;
                Image img = Image.FromFile(fn);
                pictureBox1.Image = (Image)img;
                pictureBox1.Refresh();
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void AddFilmForm_Load(object sender, EventArgs e)
        {
            comboBox1.SelectedIndex = 0;
            openFileDialog1.Filter = "All picture files(*.gif;*.bmp;*.jpg)|*.gif;*.bmp;*.jpg";

            cmd.Connection = con;
            cmd.CommandType = CommandType.Text;

        }

        private bool RecExists(string cmd_string)
        {
            cmd.CommandText = cmd_string;
            con.Open();
            OleDbDataReader r = cmd.ExecuteReader();
            bool flag = false;
            if (r.HasRows)
                flag = true;

            r.Close();
            con.Close();
            return flag;
        }

        void doCmdInsert(string cmd_string)
        {
            cmd.CommandText = cmd_string;
            con.Open();
            int temp = cmd.ExecuteNonQuery();
            if (temp > 0)
            {
                MessageBox.Show("اطلاعات ثبت شد", "", MessageBoxButtons.OK, MessageBoxIcon.Information);
                pictureBox1.Image.Save(Application.StartupPath + "\\poster\\" + textBox1.Text + ".jpg");
            }
            else
                MessageBox.Show("بدلیل بروز خطا اطلاعات ثبت نشد", "", MessageBoxButtons.OK, MessageBoxIcon.Error);
            con.Close();
        }

        private void saveBtn_Click(object sender, EventArgs e)
        {
            cmd_string = "SELECT cod_film FROM tblFilm WHERE cod_film=" + textBox1.Text;
            if (RecExists(cmd_string))
            {
                MessageBox.Show(".کد فیلم تکراری است.عملیات انجام نشد", "", MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;
            }

            String genre = "";
            foreach (object itemChecked in checkedListBox1.CheckedItems)
                if (genre == "")
                    genre += itemChecked.ToString();
                else
                    genre += "-" + itemChecked.ToString();

            cmd_string = "insert into tblFilm values(?,?,?,?,?,?,?,?,?,?,?)";

            cmd.Parameters.Clear();
            cmd.Parameters.Add("@code", OleDbType.Integer);
            cmd.Parameters.Add("@name", OleDbType.Char);
            cmd.Parameters.Add("@dire", OleDbType.Char);
            cmd.Parameters.Add("@writer", OleDbType.Char);
            cmd.Parameters.Add("@actors", OleDbType.Char);
            cmd.Parameters.Add("@genre", OleDbType.Char);
            cmd.Parameters.Add("@cnry", OleDbType.Char);
            cmd.Parameters.Add("@y", OleDbType.Char);
            cmd.Parameters.Add("@lang", OleDbType.Char);
            cmd.Parameters.Add("@smr", OleDbType.Char);
            cmd.Parameters.Add("@poster", OleDbType.Char);

            cmd.Parameters[0].Value = Convert.ToInt32(textBox1.Text);
            cmd.Parameters[1].Value = textBox2.Text;
            cmd.Parameters[2].Value = textBox3.Text;
            cmd.Parameters[3].Value = textBox5.Text;
            cmd.Parameters[4].Value = textBox6.Text;
            cmd.Parameters[5].Value = genre;
            cmd.Parameters[6].Value = textBox7.Text;
            cmd.Parameters[7].Value = textBox8.Text;
            cmd.Parameters[8].Value = comboBox1.Text;
            cmd.Parameters[9].Value = textBox9.Text;
            if (fn == "")
                cmd.Parameters[10].Value = "0";
            else
                cmd.Parameters[10].Value = "1";

            //{
            //    byte[] content = File.ReadAllBytes(fn);
            //    cmd.Parameters[10].Value = content;
            //}

            //cmd.Parameters.AddWithValue("cod_film", Convert.ToInt32(textBox1.Text));
            //cmd.Parameters.AddWithValue("name", textBox2.Text);
            //cmd.Parameters.AddWithValue("director", textBox3.Text);
            //cmd.Parameters.AddWithValue("writer", textBox5.Text);
            //cmd.Parameters.AddWithValue("actors", textBox6.Text);
            //cmd.Parameters.AddWithValue("genre", genre);
            //cmd.Parameters.AddWithValue("country", textBox7.Text);
            //cmd.Parameters.AddWithValue("y", textBox8.Text);
            //cmd.Parameters.AddWithValue("lang", comboBox1.Text);
            //cmd.Parameters.AddWithValue("summary", textBox9.Text);
            //cmd.Parameters.AddWithValue("poster", content);

            doCmdInsert(cmd_string);

        }

    }
}
