﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.OleDb;
using System.IO;

namespace WindowsFormsApplication1
{
    public partial class ShowFilmForm : Form
    {
        public ShowFilmForm()
        {
            InitializeComponent();
        }
        OleDbConnection con = new OleDbConnection(@"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + Application.StartupPath + "\\dbFilm.mdb");
        OleDbCommand cmd = new OleDbCommand();
        OleDbDataAdapter da = new OleDbDataAdapter();
        DataSet ds = new DataSet();

        private void ShowFilmForm_Load(object sender, EventArgs e)
        {
            label4.Visible = false;
            cmd.Connection = con;
            doCmd("select * from tblFilm");

            //textBox1.DataBindings.Add(new Binding("Text", ds, "tblFilm.cod_film"));
            //textBox2.DataBindings.Add(new Binding("Text", ds, "tblFilm.name"));
            //textBox3.DataBindings.Add(new Binding("Text", ds, "tblFilm.director"));
            //textBox4.DataBindings.Add(new Binding("Text", ds, "tblFilm.writer"));
            //textBox5.DataBindings.Add(new Binding("Text", ds, "tblFilm.actors"));
            //textBox6.DataBindings.Add(new Binding("Text", ds, "tblFilm.country"));
            //textBox7.DataBindings.Add(new Binding("Text", ds, "tblFilm.lang"));
            //textBox8.DataBindings.Add(new Binding("Text", ds, "tblFilm.y"));
            //textBox9.DataBindings.Add(new Binding("Text", ds, "tblFilm.genre"));
            //textBox10.DataBindings.Add(new Binding("Text", ds, "tblFilm.summary"));
            //label4.DataBindings.Add(new Binding("Text", ds, "tblFilm.poster"));

        }
        void doCmd(string cmd_string)
        {
            //cmd.CommandText = cmd_string;
            //con.Open();
            //cmd.ExecuteNonQuery();
            //con.Close();
            cmd.CommandText = cmd_string;
            da.SelectCommand = cmd;
            ds.Clear();
            da.Fill(ds, "tblFilm");
            dataGridView1.DataSource = ds.Tables[0];
            dataGridView1.Columns[0].HeaderText = "کد فیلم";
            dataGridView1.Columns[1].HeaderText = "نام فیلم";
            dataGridView1.Columns[2].HeaderText = "کارگردان";
            dataGridView1.Columns[3].HeaderText = "نویسنده";
            dataGridView1.Columns[4].HeaderText = "بازیگران";
            dataGridView1.Columns[5].HeaderText = "ژانر";
            dataGridView1.Columns[6].HeaderText = "کشور";
            dataGridView1.Columns[7].HeaderText = "سال تولید";
            dataGridView1.Columns[8].HeaderText = "زبان";
            //dataGridView1.Columns[9].HeaderText = "خلاصه";
            dataGridView1.Columns[9].Visible = false;
            dataGridView1.Columns[10].Visible = false;

            con.Close();
        }

        private void dataGridView1_RowEnter(object sender, DataGridViewCellEventArgs e)
        {
            DataGridViewRow row = new DataGridViewRow();
            row = dataGridView1.Rows[e.RowIndex];
            if (row.Index > dataGridView1.RowCount - 2)
                return;

            textBox1.Text = row.Cells[0].Value.ToString();
            textBox2.Text = row.Cells[1].Value.ToString();
            textBox3.Text = row.Cells[2].Value.ToString();
            textBox4.Text = row.Cells[3].Value.ToString();
            textBox5.Text = row.Cells[4].Value.ToString();
            textBox6.Text = row.Cells[6].Value.ToString();
            textBox7.Text = row.Cells[8].Value.ToString();
            textBox8.Text = row.Cells[7].Value.ToString();
            textBox9.Text = row.Cells[5].Value.ToString();
            textBox10.Text = row.Cells[9].Value.ToString();
            label4.Text = row.Cells[10].Value.ToString();

            String fn;
            if (label4.Text == "1")
                fn = Application.StartupPath + "\\Poster\\" + row.Cells[0].Value.ToString() + ".jpg";
            else
                fn = Application.StartupPath + "\\Poster\\addposter.jpg";

            //Image img = Image.FromFile(fn);
            //pictureBox1.Image = (Image)img;
            //pictureBox1.Refresh();
            FileStream s1 = new FileStream(fn, FileMode.Open, FileAccess.Read);
            pictureBox1.Image = (Image)new Bitmap(s1).Clone();
            s1.Close();
            s1.Dispose();

        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            String f1 = "name";
            switch (comboBox1.SelectedIndex)
            {
                case 0: f1 = "cod_film";
                    break;
                case 1: f1 = "name";
                    break;
                case 2: f1 = "director";
                    break;
                case 3: f1 = "country";
                    break;
                case 4: f1 = "lang";
                    break;
                case 5: f1 = "y";
                    break;
            }
            ds.Clear();
            cmd.Connection = con;
            doCmd("select * from tblFilm order by " + f1);

        }

        private void button1_Click(object sender, EventArgs e)
        {
            GlobalClass.GlobalVar = textBox1.Text;

            EditFilmForm frmEdit = new EditFilmForm();
            frmEdit.Show();
        }


        private void button2_Click(object sender, EventArgs e)
        {
            if (MessageBox.Show("حذف شود؟", "Confirm delete", MessageBoxButtons.YesNo) == DialogResult.Yes)
            {
                cmd.Connection = con;
                cmd.CommandType = CommandType.Text;
                cmd.CommandText = "Delete From tblFilm Where cod_film=" + textBox1.Text;
                con.Open();
                int temp = cmd.ExecuteNonQuery();
                if (temp > 0)
                {
                    MessageBox.Show(".رکورد حذف شد", "", MessageBoxButtons.OK, MessageBoxIcon.Information);

                    //refresh DataGridView 
                    cmd.CommandText = "select * from tblFilm";
                    da.SelectCommand = cmd;
                    ds.Clear();
                    da.Fill(ds, "tblFilm");
                    dataGridView1.DataSource = ds.Tables[0].DefaultView;
                }
                else
                    MessageBox.Show(".بدلیل بروز خطا رکورد حذف نشد", "", MessageBoxButtons.OK, MessageBoxIcon.Error);
                con.Close();
            }

        }

        private void button3_Click(object sender, EventArgs e)
        {
            this.Close();
        }


    }
}
